Skip to main content

K-line Streams

Request:

{
"method": "SUBSCRIPTION",
"params": [
"spot@public.kline.v3.api.pb@BTCUSDT@Min15"
]
}

Response:

{
"channel": "spot@public.kline.v3.api.pb@BTCUSDT@Min15",
"publicspotkline": {
"interval": "Min15", // K-line interval
"windowstart": 1736410500, // Start time of the K-line
"openingprice": "92925", // Opening trade price during this K-line
"closingprice": "93158.47", // Closing trade price during this K-line
"highestprice": "93158.47", // Highest trade price during this K-line
"lowestprice": "92800", // Lowest trade price during this K-line
"volume": "36.83803224", // Trade volume during this K-line
"amount": "3424811.05", // Trade amount during this K-line
"windowend": 1736411400 // End time of the K-line
},
"symbol": "BTCUSDT",
"symbolid": "2fb942154ef44a4ab2ef98c8afb6a4a7",
"createtime": 1736410707571
}

The Kline/Candlestick Stream push updates to the current klines/candlestick every second.

Request Parameter: spot@public.kline.v3.api.pb@<symbol>@<interval>

Response Parameters:

ParameterData TypeDescription
publicspotklineobjectK-line information
intervalstringK-line interval
windowstartlongStart time of the K-line
openingpricebigDecimalOpening trade price during this K-line
closingpricebigDecimalClosing trade price during this K-line
highestpricebigDecimalHighest trade price during this K-line
lowestpricebigDecimalLowest trade price during this K-line
volumebigDecimalTrade volume during this K-line
amountbigDecimalTrade amount during this K-line
windowendlongEnd time of the K-line
symbolstringTrading pair
symbolidstringTrading pair ID
createtimelongEvent time

K-line Interval Parameters:

  • Min: Minutes; Hour: Hours; Day: Days; Week: Weeks; M: Month

Available intervals:

  • Min1
  • Min5
  • Min15
  • Min30
  • Min60
  • Hour4
  • Hour8
  • Day1
  • Week1
  • Month1